Update file metadata.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://example.com/api/workspace/filesystem/files/example"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"Name\": \"example\", \"Description\": \"example\", \"OperationKey\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"Owner\": { \"ModuleKey\": \"example\", \"ResourceKind\": \"example\", \"ContextResourceId\": \"example\", \"ResourceObjectId\": \"example\" }, \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/filesystem/files/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"Name":"example","Description":"example","OperationKey":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","Owner":{"ModuleKey":"example","ResourceKind":"example","ContextResourceId":"example","ResourceObjectId":"example"},"RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/workspace/filesystem/files/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "Name": "example", "Description": "example", "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Owner": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”object
Stable identity of one Moltaro resource instance.
object
Examplegenerated
{ "Name": "example", "Description": "example", "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Owner": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
Stable identity of one Moltaro resource instance.
object
Examplegenerated
{ "Name": "example", "Description": "example", "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Owner": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}object
Stable identity of one Moltaro resource instance.
object
Examplegenerated
{ "Name": "example", "Description": "example", "OperationKey": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "Owner": { "ModuleKey": "example", "ResourceKind": "example", "ContextResourceId": "example", "ResourceObjectId": "example" }, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”OK
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
object
object
object
object
Example
{ "Data": null, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
object
object
object
object
Example
{ "Data": null, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
object
object
Stored relation between one content item and a target resource.
object
Stable identity of one Moltaro resource instance.
object
Relation kind between content and a resource.
Stable identity of one Moltaro resource instance.
object
object
object
object
object
object
object
Example
{ "Data": null, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}